## gimp-print-4.2.1.tar.bz2

=== src/ghost/Makefile ===
# Generated automatically from Makefile.in by configure.
# Makefile.in generated automatically by automake 1.4 from Makefile.am

# Copyright (C) 1994, 1995-8, 1999 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


SHELL = /bin/sh

srcdir = .
top_srcdir = ../..
prefix = /usr/local
exec_prefix = ${prefix}

bindir = ${exec_prefix}/Tools//
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/Libraries/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/Libraries//
infodir = ${prefix}/Library/info
mandir = ${prefix}/Library/man
includedir = ${prefix}/Headers//
oldincludedir = /usr/include

DESTDIR =

pkgdatadir = $(datadir)/gimp-print
pkglibdir = $(libdir)/gimp-print
pkgincludedir = $(includedir)/gimp-print

top_builddir = ../..

ACLOCAL = aclocal -I src/main
AUTOCONF = autoconf
AUTOMAKE = automake
AUTOHEADER = autoheader

INSTALL = /usr/bin/ginstall -c
INSTALL_PROGRAM = ${INSTALL} $(AM_INSTALL_PROGRAM_FLAGS)
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL_PROGRAM}
transform = s,x,x,

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_alias = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
ALL_LINGUAS = en_GB sv no fr da pl sk el nl
AS = @AS@
AWK = gawk
BISON_PROG = /usr/bin/bison
BUILD_INCLUDED_LIBINTL = no
CATALOGS =  en_GB.gmo sv.gmo no.gmo fr.gmo da.gmo pl.gmo sk.gmo el.gmo nl.gmo
CATOBJEXT = .gmo
CC = gcc
CONVERT = /usr/X11R6/bin/convert
CUPS_BACKEND_BIN = 
CUPS_BIN = 
CUPS_CFLAGS = 
CUPS_CONF = 
CUPS_CONFIG = 
CUPS_FILTER_BIN = 
CUPS_INSTALL = 
CUPS_LIBS =  -lm
CUPS_MAN = 
CUPS_NOINST_BIN = 
CUPS_PKG = 
CUPS_PPD_PS_LEVEL = 2
DATADIRNAME = share
DB2HTML = /usr/bin/db2html
DB2PDF = /usr/bin/db2pdf
DB2PS = /usr/bin/db2ps
DLLTOOL = @DLLTOOL@
DVIPDF = /usr/local/Tools/dvipdf
DVIPS = /usr/bin/dvips
ECHO = echo
ESCPUTIL_BIN = $(ESCPUTIL_BIN)
ESCPUTIL_MAN = $(ESCPUTIL_MAN)
EXEEXT = 
FOOMATIC_INSTALL = 
FOOMATIC_KITLOAD = 
FOOMATIC_NOINST_BIN = 
GENCAT = gencat
GIMPPRINT_BINARY_AGE = 0
GIMPPRINT_CFLAGS = 
GIMPPRINT_CONFIG = 
GIMPPRINT_CURRENT_INTERFACE = 1
GIMPPRINT_DEPLIBS =  -lm
GIMPPRINT_INTERFACE_AGE = 1
GIMPPRINT_LIBS = -lgimpprint
GIMPPRINT_MAJOR_VERSION = 4
GIMPPRINT_MICRO_VERSION = 1
GIMPPRINT_MINOR_VERSION = 2
GIMPPRINT_VERSION = 4.2.1
GIMPTOOL = /usr/local/Tools/gimptool
GIMP_BIN = $(GIMP_BIN)
GIMP_CFLAGS = -I/usr/local/Headers// -I/opt/gnome/include/gtk-1.2 -I/usr/include/glib-1.2 -I/usr/lib/glib/include -I/usr/X11R6/include
GIMP_CFLAGS_NOUI = -I/usr/local/Headers// -I/usr/include/glib-1.2 -I/usr/lib/glib/include
GIMP_DATA_DIR = /usr/local/Libraries/share/gimp/1.2
GIMP_LIBS = -L/usr/local/Libraries// -lgimpui -lgimp -L/opt/gnome/lib -L/usr/X11R6/lib -lgtk -lgdk -L/usr/lib -rdynamic -lgmodule -lglib -ldl -lXi -lXext -lX11 -lm
GIMP_LIBS_NOUI = -L/usr/local/Libraries// -lgimp -L/usr/lib -lglib
GIMP_PLUGIN_DIR = /usr/local/Libraries///gimp/1.2
GIMP_PRINT_H = gimp-print.h
GLIBC21 = yes
GLIB_CFLAGS = 
GLIB_CONFIG = 
GLIB_LIBS = 
GMOFILES =  en_GB.gmo sv.gmo no.gmo fr.gmo da.gmo pl.gmo sk.gmo el.gmo nl.gmo
GMSGFMT = /usr/bin/msgfmt
GNUCFLAGS = -Wall -Wcast-align -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -Wnested-externs -Wwrite-strings -pedantic
GTK_CFLAGS = 
GTK_CONFIG = 
GTK_LIBS = 
IJS_CFLAGS = 
IJS_CONFIG = 
IJS_INSTALL = 
IJS_LIBS = 
INSTOBJEXT = .mo
INTLBISON = :
INTLLIBS = 
INTLOBJS = 
INTL_LIBTOOL_SUFFIX_PREFIX = 
LEX = flex
LIBGIMPPRINT_LIBS = $(top_builddir)/src/main/libgimpprint.la  -lm
LIBICONV = 
LIBREADLINE_DEPS = -lreadline -lncurses
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBTOOL_DEPS = scripts/ltmain.sh
LN_S = ln -s
LTALLOCA = 
LTLIBOBJS =  xgetcwd.lo xmalloc.lo
LT_AGE = 0
LT_CURRENT = 1
LT_RELEASE = 4.2
LT_REVISION = 1
MAINT = 
MAINTAINER_CFLAGS = 
MAIN_BIN = $(MAIN_BIN)
MAIN_DAT = $(MAIN_DAT)
MAIN_MAN = $(MAIN_MAN)
MAIN_SCR = $(MAIN_SCR)
MAKEINFO = makeinfo
MKINSTALLDIRS = scripts/mkinstalldirs
MSGFMT = /usr/bin/msgfmt
OBJDUMP = @OBJDUMP@
OBJEXT = o
PACKAGE = gimp-print
PERL = /usr/bin/perl
PLUG_IN_PATH = admin-bin
POFILES =  en_GB.po sv.po no.po fr.po da.po pl.po sk.po el.po nl.po
POSUB = po
PRINT_VASPRINTF = 
RANLIB = ranlib
RELEASE_DATE = 26 Apr 2002
RM = rm
SAMPLE_IMAGES = $(SAMPLE_IMAGES)
STRIP = strip
TESTPATTERN_BIN = 
TEST_BIN = $(TEST_BIN)
TEXI2HTML = /usr/bin/texi2html
USER_GUIDE = $(USER_GUIDE)
USE_INCLUDED_LIBINTL = no
USE_NLS = yes
VERSION = 4.2.1
YACC = bison -y
YACC_PROG = 
cups_bindir = /usr/local/bin
cups_conf_datadir = /usr/local/share/cups
cups_conf_serverbin = /usr/local/lib/cups
cups_conf_serverroot = /usr/local/etc/cups
cups_exec_prefix = /usr/local
cups_prefix = /usr/local
gimpprint_cflags = 
gimpprint_libs = -lgimpprint  -lm

AUTOMAKE_OPTIONS = 1.4 gnu

MAINT_CHARSET = latin1

MAINCODE = canon.c color.c dither.c escp2.c lexmark.c pcl.c printers.c ps.c util.c weave.c dither-matrices.c

MAINHEADERS = print.h print-internal.h print-intl-internal.h quickmatrix257.h ran.367.179.h ran.509.131.h

MAINFILES = $(MAINCODE) $(MAINHEADERS)
#ALL_LOCAL_DEPS = $(srcdir)/$(addprefix gdevstp-,$(MAINCODE)) $(srcdir)/$(addprefix gdevstp-,$(MAINHEADERS))
ALL_LOCAL_DEPS = 

GHCODE = -e 's/print-printers.c/gdevstp-printers.c/' -e 's/^\\\#include "\(gimp\-\)*\(.*\)\.h"$$/\\\#include "gdevstp-\2.h"/' -e 's/^\\\#include <gimp-print\/gimp-print\(.*\)\.h>$$/\\\#include "gdevstp-print\1.h"/'

CLEANFILES =   $(srcdir)/gdevstp-printers.c  $(srcdir)/gdevstp-ran.367.179.h  $(srcdir)/gdevstp-ran.509.131.h  $(srcdir)/gdevstp-color.c  $(srcdir)/gdevstp-print.h  $(srcdir)/gdevstp-print-internal.h  $(srcdir)/gdevstp-print-intl-internal.h  $(srcdir)/gdevstp-quickmatrix257.h  $(srcdir)/gdevstp-util.c  $(srcdir)/gdevstp-weave.c  $(srcdir)/gdevstp-canon.c  $(srcdir)/gdevstp-dither.c  $(srcdir)/gdevstp-dither-matrices.c  $(srcdir)/gdevstp-escp2.c  $(srcdir)/gdevstp-lexmark.c  $(srcdir)/gdevstp-pcl.c  $(srcdir)/gdevstp-ps.c


# End of old compatability cruft

MAINTAINERCLEANFILES = Makefile.in

EXTRA_DIST =  	COPYING 	Makefile 	Makefile.am 	README 	README.bsd 	contrib.mak.addon.in 	contrib.mak.addon.old 	debian-patch 	debian-patch-stp 	devs.mak.addon-5.10 	gdevstp.c


AM_CFLAGS = $(GNUCFLAGS)
INCLUDES =   -I$(top_srcdir)/include -I$(top_builddir)/include -I$(top_srcdir)/intl $(LIBGIMPPRINT_CFLAGS)
LIBPRINTUT = $(top_builddir)/lib/libprintut.la
LIBS =   $(INTLLIBS)

IJS_BIN = ijsgimpprint

bin_PROGRAMS = 

EXTRA_PROGRAMS = ijsgimpprint

ijsgimpprint_LDADD = $(LIBPRINTUT) $(LIBGIMPPRINT_LIBS)
ijsgimpprint_DEPENDENCIES = $(LIBGIMPPRINT_LIBS)
mkinstalldirs = $(SHELL) $(top_srcdir)/scripts/mkinstalldirs
CONFIG_HEADER = ../../config.h
CONFIG_CLEAN_FILES =  contrib.mak.addon
bin_PROGRAMS =  
PROGRAMS =  $(bin_PROGRAMS)


DEFS = -DHAVE_CONFIG_H -I. -I$(srcdir) -I../..
CPPFLAGS = 
LDFLAGS = 
ijsgimpprint_SOURCES = ijsgimpprint.c
ijsgimpprint_OBJECTS =  ijsgimpprint.$(OBJEXT)
ijsgimpprint_LDFLAGS = 
CFLAGS = -O
COMPILE = $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(LDFLAGS) -o $@
DIST_COMMON =  README COPYING Makefile.am Makefile.in \
contrib.mak.addon.in


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = tar
GZIP_ENV = --best
DEP_FILES =  .deps/ijsgimpprint.P
SOURCES = ijsgimpprint.c
OBJECTS = ijsgimpprint.$(OBJEXT)

all: all-redirect
.SUFFIXES:
.SUFFIXES: .S .c .lo .o .obj .s
$(srcdir)/Makefile.in:  Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOMAKE) --gnu src/ghost/Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status $(BUILT_SOURCES)
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status

contrib.mak.addon: $(top_builddir)/config.status contrib.mak.addon.in
	cd $(top_builddir) && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status

mostlyclean-binPROGRAMS:

clean-binPROGRAMS:
	-test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)

distclean-binPROGRAMS:

maintainer-clean-binPROGRAMS:

install-binPROGRAMS: $(bin_PROGRAMS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(bindir)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  if test -f $$p; then \
	    echo " $(LIBTOOL)  --mode=install $(INSTALL_PROGRAM) $$p $(DESTDIR)$(bindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`"; \
	    $(LIBTOOL)  --mode=install $(INSTALL_PROGRAM) $$p $(DESTDIR)$(bindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`; \
	  else :; fi; \
	done

uninstall-binPROGRAMS:
	@$(NORMAL_UNINSTALL)
	list='$(bin_PROGRAMS)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(bindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`; \
	done

# FIXME: We should only use cygpath when building on Windows,
# and only if it is available.
.c.obj:
	$(COMPILE) -c `cygpath -w $<`

.s.o:
	$(COMPILE) -c $<

.S.o:
	$(COMPILE) -c $<

mostlyclean-compile:
	-rm -f *.o core *.core
	-rm -f *.$(OBJEXT)

clean-compile:

distclean-compile:
	-rm -f *.tab.c

maintainer-clean-compile:

.s.lo:
	$(LIBTOOL) --mode=compile $(COMPILE) -c $<

.S.lo:
	$(LIBTOOL) --mode=compile $(COMPILE) -c $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:

maintainer-clean-libtool:

ijsgimpprint$(EXEEXT): $(ijsgimpprint_OBJECTS) $(ijsgimpprint_DEPENDENCIES)
	@rm -f ijsgimpprint$(EXEEXT)
	$(LINK) $(ijsgimpprint_LDFLAGS) $(ijsgimpprint_OBJECTS) $(ijsgimpprint_LDADD) $(LIBS)

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP)
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	here=`pwd` && cd $(srcdir) \
	  && mkid -f$$here/ID $$unique $(LISP)

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$unique$(LISP)$$tags" \
	  || (cd $(srcdir) && etags $(ETAGS_ARGS) $$tags  $$unique $(LISP) -o $$here/TAGS)

mostlyclean-tags:

clean-tags:

distclean-tags:
	-rm -f TAGS ID

maintainer-clean-tags:

distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

subdir = src/ghost

distdir: $(DISTFILES)
	here=`cd $(top_builddir) && pwd`; \
	top_distdir=`cd $(top_distdir) && pwd`; \
	distdir=`cd $(distdir) && pwd`; \
	cd $(top_srcdir) \
	  && $(AUTOMAKE) --include-deps --build-dir=$$here --srcdir-name=$(top_srcdir) --output-dir=$$top_distdir --gnu src/ghost/Makefile
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  if test -d $$d/$$file; then \
	    cp -pr $$/$$file $(distdir)/$$file; \
	  else \
	    test -f $(distdir)/$$file \
	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	    || cp -p $$d/$$file $(distdir)/$$file || :; \
	  fi; \
	done

DEPS_MAGIC := $(shell mkdir .deps > /dev/null 2>&1 || :)

-include $(DEP_FILES)

mostlyclean-depend:

clean-depend:

distclean-depend:
	-rm -rf .deps

maintainer-clean-depend:

%.o: %.c
	@echo '$(COMPILE) -c $<'; \
	$(COMPILE) -Wp,-MD,.deps/$(*F).pp -c $<
	@-cp .deps/$(*F).pp .deps/$(*F).P; \
	tr ' ' '\012' < .deps/$(*F).pp \
	  | sed -e 's/^\\$$//' -e '/^$$/ d' -e '/:$$/ d' -e 's/$$/ :/' \
	    >> .deps/$(*F).P; \
	rm .deps/$(*F).pp

%.lo: %.c
	@echo '$(LTCOMPILE) -c $<'; \
	$(LTCOMPILE) -Wp,-MD,.deps/$(*F).pp -c $<

=== debian/changelog ===
gimp-print (4.2.1-1) unstable; urgency=low

  * New upstream release
  * Add postscript-viewer virtual package as an alternative to gs Recommends
    for cupsys-driver-gimpprint
  * Reinitialise cupsys after installation or removal of
    cupsys-driver-gimpprint
  * Correctly version libgimpprint1 shlibs with -V dh_makeshlibs option

 -- Roger Leigh <roger@whinlatter.uklinux.net>  Wed,  6 Mar 2002 00:05:44 +0000

gimp-print (4.2.0-3) unstable; urgency=low

  * Fix libgimpprint.postinst to use 'if' instead of 'case', removing a
    lintian warning.
  * Split out the message catalogues from the libgimpprint package into
    a new gimpprint-locales package to avoid filename conflicts when
    multiple libgimpprint versions are installed concurrently.
  * Add libgimpprint-doc.doc-base (existed for six months, but was never
    added to CVS!)
  * Merge fixes from debian-branch:
    - Fix locales package description (Eric Sharkey)
    - Change conflicts to replaces (Eric Sharkey)
    - Fix build dependencies (Eric Sharkey)
  * New package foomatic-db-gimpprint.  Contains foomatic data

 -- Roger Leigh <roger@whinlatter.uklinux.net>  Fri,  1 Feb 2002 21:17:36 +0000

gimp-print (4.2.0-1) unstable; urgency=low

  * New upstream stable release (4.2.0)
  * Disable PostScript level 3 PPD files, because there are some
    level 3 constructs that gs 6.51 does not understand.

 -- Roger Leigh <roger@whinlatter.uklinux.net>  Sat, 24 Nov 2001 13:45:33 +0000

gimp-print (4.1.99-rc1-2) unstable; urgency=low

  * New upstream release
  * Update to new Standards-Version 3.5.6.0 (no changes)
  * Disable building of translated PPD files
  * Enable PostScript level 3 PPD files, and add a Recommends to
    cupsys-driver-gimpprint for gs (>= 6.51) as earlier versions
    have problems with level 3.

 -- Roger Leigh <roger@whinlatter.uklinux.net>  Mon, 12 Nov 2001 18:29:21 +0000

gimp-print (4.1.99-b4-6) unstable; urgency=low

  * New upstream release
  * cupsys-driver-gimpprint only includes the basic `C' POSIX locale
    ppd files due to the size of the ppd files
  * New package gimpprint-doc contains the new user guide
  * escputil depends on libgimpprint1, as the new i18n code needs
    the translations it provides
  * Provide the PS version of the Programmer's Manual instead of PDF
    format in libgimpprint-doc
  * Update to new Standards-Version 3.5.2 (no changes)
  * Update package descriptions for stable release
  * gimpprint-doc Suggests libgimpprint1

 -- Roger Leigh <roger@whinlatter.uklinux.net>  Tue, 30 Oct 2001 09:16:08 +0000

gimp-print (4.1.99-b2-5) unstable; urgency=low

  * New upstream release
  * Changed library version names to reflect upstream library
    versioning change to ABI versioning
  * Enable i18n
  * Add Build-Depends for gettext (>= 0.10.36-1), because
    'make install' fails with earlier versions due to absent
    DESTDIR support.
  * libgimpprint-doc uses ps instead of dvi manual, due to inclusion
    of graphics
  * gimp1.2-print no longer registers documentation with doc-base, as
    the manual is provided in libgimpprint-doc

 -- Roger Leigh <roger@whinlatter.uklinux.net>  Tue, 18 Sep 2001 14:15:37 +0100

gimp-print (4.1.99-a3-1) unstable; urgency=low

  * New upstream release
  * Remove README.dither from libgimpprint-dev.docs
  * Add image samples to gimp1.2-print and cupsys-driver-gimpprint
  * Change rules and control to use ABI library versioning

 -- Roger Leigh <roger@whinlatter.uklinux.net>  Thu,  9 Aug 2001 11:15:38 +0100

gimp-print (4.1.7-1) unstable; urgency=low

  * libgimpprint-doc is in section `doc'.
  * New package libgimpprint-doc for Info, dvi and HTML docs.
  * Change debian/rules to use separate binary-arch and binary-indep
    targets

 -- Roger Leigh <roger@whinlatter.uklinux.net>  Fri, 11 May 2001 23:34:22 +0100

gimp-print (4.1.5-2) unstable; urgency=low

  * Clean up build process so that things work even if some scripts
    don't have execute permissions, complicate things a bit by using
    funky building script, Closes #89283, I hope...

 -- Eric Sharkey <sharkey@debian.org>  Thu, 15 Mar 2001 21:54:52 -0500

gimp-print (4.1.5-1) unstable; urgency=low

  * New upstream release
  * First Official version uploaded to Debian
  * Close ITP bug for wnpp, Closes #85563

 -- Eric Sharkey <sharkey@debian.org>  Fri,  2 Mar 2001 19:59:11 -0500

gimp-print (4.1.4-2) unstable; urgency=low

  * Repackage gimp-print after forking the Debian branch from 4.1.4
  * Add version numbers to the libgimpprint package name
  * Move documentation files from libgimpprint to libgimpprint-dev

 -- Eric Sharkey <sharkey@debian.org>  Tue, 27 Feb 2001 11:22:18 -0500

gimp-print (4.1.4-1) unstable; urgency=low

  * New upstream release
  * Debian package rewritten from scratch.
  * Added diversion of the print plugin that is part of the GIMP
    package to /usr/lib/gimp/1.2/print
  * Fixed shared library dependencies for programs linked with
    libgimpprint
  * Added /etc/cups/command.types as a conffile for package cupsys-
    driver-gimpprint
  * Added gimp1.2-print html and sgml docs to doc-base
  * Remove /etc/cups in postrm for cupsys-driver-gimprint (but
    won't if not empty)
  * Added versioned debhelper Build-Depends

 -- Roger Leigh <roger@whinlatter.uklinux.net>  Fri, 16 Feb 2001 00:16:10 +0000

gimp-print (4.0.2-1) unstable; urgency=low

  * Debian packages of the latest GP

 -- Eric Sharkey <sharkey@superk.physics.sunysb.edu>  Sun, 12 Nov 2000 04:46:54 +0900

gimp-print (3.1.4-1) unstable; urgency=low

  * Debianised gimp-print built from gimp-print CVS at sourceforge.

 -- Charles Briscoe-Smith <cpbs@debian.org>  Wed, 24 May 2000 00:39:54 +0100

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: gimp-print
Section: graphics
Priority: optional
Maintainer: Eric Sharkey <sharkey@debian.org>
Standards-Version: 3.5.6.0
Build-Depends: libcupsys2-dev, libgimp1.2-dev, libglib1.2-dev, libgtk1.2-dev, libreadline4-dev, debhelper (>= 2.2.18), xlibs-dev, zlib1g-dev, flex, gettext (>= 0.10.36-1), texi2html, docbook-utils, imagemagick, autoconf, automake, libtool, bison, foomatic-bin (>= 0.20020131-1)

Package: gimp1.2-print
Architecture: any
Depends: ${shlibs:Depends}, gimp1.2
Recommends: gimpprint-locales (>= ${Source-Version})
Suggests: libgimpprint-doc (= ${Source-Version}), gimpprint-doc (= ${Source-Version})
Description: print plugin for the GIMP
 This is Gimp-Print version 4.2.1, a stable release in the 4.2
 line.  Gimp-print is the print facility for the Gimp, and in addition
 a suite of drivers that may be used with common UNIX spooling systems
 using GhostScript or CUPS.  These drivers provide printing quality for
 UNIX/Linux on a par with proprietary vendor-supplied drivers in many
 cases, and can be used for many of the most demanding printing tasks.
 .
 This package includes the print plugin for the GIMP.

Package: cupsys-driver-gimpprint
Architecture: any
Depends: ${shlibs:Depends}, cupsys (>= 1.1.4) | cups (>= 1.1.4)
Recommends: postscript-viewer | gs (>= 6.51), gimpprint-locales (>= ${Source-Version})
Suggests: gimpprint-doc (= ${Source-Version})
Description: gimp-print printer driver for CUPS
 This is Gimp-Print version 4.2.1, a stable release in the 4.2
 line.  Gimp-print is the print facility for the Gimp, and in addition
 a suite of drivers that may be used with common UNIX spooling systems
 using GhostScript or CUPS.  These drivers provide printing quality for
 UNIX/Linux on a par with proprietary vendor-supplied drivers in many
 cases, and can be used for many of the most demanding printing tasks.
 .
 This package includes a CUPS driver based on gimp-print.
 .
 The CUPS drivers contain all of the files needed to support
 photo-quality printing on any printer supported by the GIMP
 Print plug-in. You can find out more about the Common UNIX
 Printing System ("CUPS"), an IPP-based printing system for
 UNIX/Linux, at:
 .
 http://www.cups.org

Package: libgimpprint-dev
Architecture: any
Section: devel
Depends: libgimpprint1 (= ${Source-Version})
Description: header files for compiling programs with libgimpprint
 This package contains the header files for the gimp-print package, along with
 a static version of libgimpprint.
 .
 Install this package if you wish to develop packages that use libgimpprint.
 .
 This is the stable 4.2 branch of gimp-print.

Package: libgimpprint-doc
Architecture: all
Section: doc
Suggests: libgimpprint1 (= ${Source-Version})
Description: Documentation and example code for the gimpprint library
 This package contains lots of info-files, DVI docs and other
 documentation about the gimpprint library for photo-quality
 printing
 .
 Install this package if you want to have lots of info about the
 gimpprint library when you're programming.

Package: libgimpprint1
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Recommends: gimpprint-locales (>= ${Source-Version})
Description: library necessary to use gimp-print programs
 This package includes the libgimpprint library, necessary to run gimp1.2-print
 and cupsys-driver-gimpprint.
 .
 It has been split off from the main gimp-print package in order to facilitate
 easy development for other packages that require it.

Package: gimpprint-locales
Architecture: all
Section: libs
Replaces: libgimpprint1 (<= 4.2.0-1)
Description: Locales files for gimp-print
 This package contains the i18n files of gimp-print, used by libgimpprint,
 gimp1.2-print, cupsys-driver-gimpprint and escputil.  It will be used by
 any programs which link with libgimpprint
 .
 They are needed when you want the programs in gimp-print to print their
 messages in other languages than US English.

Package: gimpprint-doc
Architecture: all
Section: doc
Suggests: libgimpprint1 (= ${Source-Version})
Description: User Guide for GIMP-Print and CUPS
 This package contains a user guide for programs using the
 libgimpprint library for photographic quality printing.  Currently
 this covers using the Print plugin for the GIMP and the Common
 Unix Printing System (CUPS).
 .
 The documentation is available in both HTML and PDF formats for on-line
 viewing and hardcopy.

Package: escputil
Architecture: any
Section: misc
Depends: ${shlibs:Depends}
Recommends: gimpprint-locales (>= ${Source-Version})
Description: a utility for Epson Stylus printers
 escputil is a utility to clean and align the heads of Epson Stylus printers.

Package: foomatic-db-gimp-print
Architecture: all
Section: text
Depends: libgimpprint1 (= ${Source-Version}), foomatic-db
Description: Printer/Driver database and print system - gimp-print database
 Foomatic is a printer and driver database with PPD generator and filter
 backends for various Printing systems from cups over lp* to pdq.
 .
 This package contains the database for the gimp-print printer drivers.
 .
 These drivers provide printing quality for UNIX/Linux on a par with
 proprietary vendor-supplied drivers in many cases, and can be used for
 many of the most demanding printing tasks.
 It can also check the current ink levels in the printer.

=== debian/rules ===
#!/usr/bin/make -f
# rules to package GIMP-Print
# $Id: rules,v 1.29.2.4 2002/04/07 21:36:07 rleigh Exp $
#
# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=2

# This has to be exported to make some magic below work.
export DH_OPTIONS

# Get upstream version, and define libgimpprint suffix
UPSTREAM_VERSION = $(shell dpkg-parsechangelog | grep ^Version | sed "s/.* //" | sed "s/-[^-]*$$//")
#LIBRARY_VERSION = $(UPSTREAM_VERSION)
LIBRARY_VERSION = 1

build: build-stamp debian/control
build-stamp: configure
	dh_testdir
	
	cd debian ; \
	ln -sf libgimpprint.files libgimpprint$(LIBRARY_VERSION).files ; \
	ln -sf libgimpprint.postinst libgimpprint$(LIBRARY_VERSION).postinst ; \
	cd .. ; \
	mkdir debian/gimp-print-build ; \
	cd debian/gimp-print-build ; \
	BUILD_PACKAGE=true ../../configure --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --enable-static --enable-shared --without-gimp --with-cups --without-ijs --with-foomatic --disable-test --without-translated-ppds --disable-cups-level3-ps --enable-maintainer-mode ; \
	$(MAKE) ; \
	cd src/gimp ; \
	$(MAKE) print

	touch build-stamp

clean: debian/control
	dh_testdir
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	rm -rf debian/gimp-print-build debian/gimp-print-install
	rm -rf debian/libgimpprint$(LIBRARY_VERSION).files
	rm -rf debian/libgimpprint$(LIBRARY_VERSION).postinst
	-$(MAKE) distclean

	dh_clean

install: DH_OPTIONS=
install: build debian/control
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	cd debian/gimp-print-build ; \
	$(MAKE) DESTDIR=`pwd`/../gimp-print-install install
	
	scripts/mkinstalldirs debian/gimp1.2-print/usr/lib/gimp/1.2/plug-ins
	/usr/bin/install -c debian/gimp-print-build/src/gimp/.libs/print debian/gimp1.2-print/usr/lib/gimp/1.2/plug-ins/print
	
	dh_movefiles --sourcedir=debian/gimp-print-install
	rm debian/foomatic-db-gimp-print/usr/share/foomatic/kitload.log


# Build architecture-independent files here.
binary-indep: build install ChangeLog
	dh_testdir -i
	dh_testroot -i
#	dh_installdebconf -i
	dh_installdocs -i
	  cp debian/gimp-print-install/usr/share/gimp-print/doc/gimpprint.ps debian/libgimpprint-doc/usr/share/doc/libgimpprint-doc
	  cp -r debian/gimp-print-install/usr/share/gimp-print/doc/manual-html debian/libgimpprint-doc/usr/share/doc/libgimpprint-doc/html
	  cd debian/libgimpprint-doc/usr/share/doc/libgimpprint-doc/html ; \
	  if test ! -f gimpprint.html ; then \
	    ln -s gimpprint_toc.html gimpprint.html ; \
	  fi
	cp debian/gimp-print-install/usr/share/gimp-print/doc/*.pdf debian/gimpprint-doc/usr/share/doc/gimpprint-doc
	cp -r debian/gimp-print-install/usr/share/gimp-print/doc/html debian/gimpprint-doc/usr/share/doc/gimpprint-doc/html
	dh_installexamples -i
#	dh_installmenu -i
#	dh_installlogrotate -i
#	dh_installemacsen -i
#	dh_installpam -i
#	dh_installmime -i
#	dh_installinit -i
#	dh_installcron -i
#	dh_installmanpages -i
	dh_installinfo -i -plibgimpprint-doc debian/gimp-print-install/usr/share/info/*
	dh_undocumented -i
	dh_installchangelogs -i NEWS
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
#	dh_perl -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install ChangeLog
	dh_testdir -a
	dh_testroot -a
#	dh_installdebconf -a
	dh_installdocs -a
	  cp src/cups/README debian/cupsys-driver-gimpprint/usr/share/doc/cupsys-driver-gimpprint/README.cups
	  mkdir debian/gimp1.2-print/usr/share/doc/gimp1.2-print/html ; \
	  cp doc/*.html doc/*.png debian/gimp1.2-print/usr/share/doc/gimp1.2-print/html ; \
	dh_installexamples -a
	  mkdir -p debian/gimp1.2-print/usr/share/doc/gimp1.2-print/samples
	  cp -r samples/*.png debian/gimp1.2-print/usr/share/doc/gimp1.2-print/samples
	  mkdir -p debian/cupsys-driver-gimpprint/usr/share/doc/cupsys-driver-gimpprint/samples
	  cp -r samples/profile.jpg debian/cupsys-driver-gimpprint/usr/share/doc/cupsys-driver-gimpprint/samples
#	dh_installmenu -a
#	dh_installlogrotate -a
#	dh_installemacsen -a
#	dh_installpam -a
#	dh_installmime -a
#	dh_installinit -a
#	dh_installcron -a
#	dh_installmanpages -a
#	dh_installinfo -a
#	dh_undocumented -a
	dh_installchangelogs -a NEWS
	dh_strip -a
	dh_link -a
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a -V
	dh_installdeb -a
#	dh_perl -a
	dh_shlibdeps -a -l`pwd`/debian/libgimpprint$(LIBRARY_VERSION)/usr/lib
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch

# Make sure ChangeLog is up-to-date.
ChangeLog: changelog-stamp
changelog-stamp: build
	$(MAKE) ChangeLog
	
# Make sure an/that  is up-to-date.
debian/control: debian/changelog debian/control.in
	sed -e "s/#UPSTREAM_VERSION#/$(UPSTREAM_VERSION)/g" <debian/control.in >debian/control

# Make sure that configure is up-to-date.
configure: configure.in scripts/install-sh
	if test -f configure.in ; then \
	  if test -f autogen.sh ; then \
	    export NOCONFIGURE=TRUE ; \
	    /bin/sh autogen.sh ; \
	  fi \
	fi
	
configure.in: configure.in.in
	if test -f configure.in.in ; then \
	  if test -f autogen.sh ; then \
	    export NOCONFIGURE=TRUE ; \
	    /bin/sh autogen.sh ; \
	  fi \
	fi

scripts/install-sh:
	if test -f autogen.sh ; then \
	  export NOCONFIGURE=TRUE ; \
	  /bin/sh autogen.sh ; \
	fi

configure.in.in:

.PHONY: build clean binary-indep binary-arch binary install NEWS
